System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IOperationBehavior System.ServiceModel.Description.IWsdlExportExtension

The enables control of options, such as the property of the .

Controls run-time behavior of the associated with an operation.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specific operation.

  The to export or serialize.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class.

  The to export or serialize.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.Xml.Serialization.XmlMapping> To be added.

  Gets the collection of mappings between XML schema elements and CLR data types.

  A of s that contains the mappings.

- Method
  4.0.0.0
  System.Void `` ``

  Adds a set of parameters to an operation description.

  Adds a set of parameters to an operation description.

  The target . A that contains the parameters.
- Method
  4.0.0.0
  System.Void `` ``

  Applies a client's behavior to the operation.

  Applies a client's behavior to the operation.

  A that represents the operation. A that represents a client operation.
- Method
  4.0.0.0
  System.Void `` ``

  Applies a dispatch behavior to the operation.

  Applies a dispatch behavior to the operation.

  The target . The to apply.
- Method
  4.0.0.0
  System.Void ``

  Validates the operation.

  Validates the operation.

  The target to validate.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Exports the operation data as a WSDL document.

  Exports the operation data as a WSDL document.

  The to use for the export.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Exports the endpoint data as a WSDL document.

  Exports the endpoint data as a WSDL document.

  The to use for the export.
- Property
  4.0.0.0
  System.ServiceModel.XmlSerializerFormatAttribute To be added. To be added.

  Gets the object that holds SOAP use and format options.